import { useState, useEffect } from "react";
import { MetaMaskEthereumSessionWallet } from "@canvas-js/signers";
export const useCanvasSessionWallet = (ethersSigner, network) => {
    const [sessionWallet, setSessionWallet] = useState(null);
    useEffect(() => {
        if (!ethersSigner || !network)
            return;
        const newSessionWallet = new MetaMaskEthereumSessionWallet(ethersSigner, network);
        setSessionWallet(newSessionWallet);
    }, [ethersSigner, network !== undefined]);
    return sessionWallet;
};
